core.crypto / DigitalSignature / WithKey

# WithKey

`open class WithKey : DigitalSignature`

A digital signature that identifies who the public key is owned by.

### Constructors

<init> | `WithKey(by: PublicKey, bits: ByteArray, covering: Int = 0)` A digital signature that identifies who the public key is owned by.

### Properties

by | `val by: PublicKey`

### Inherited Properties

covering | `val covering: Int`

### Functions

verifyWithECDSA | `fun verifyWithECDSA(content: ByteArray): Unit` `fun verifyWithECDSA(content: OpaqueBytes): Unit`

### Inheritors

LegallyIdentifiable | `class LegallyIdentifiable : WithKey`